Subject: bug#58193: 29.0.50; Screen flickers on with-locale-environment

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Oct 2022 13:01:48 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 01 Oct 2022 11:56:00 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Many Lisp programmers don't realize what the macro does, in enough
> > detail to understand that it might affect the display.
> 
> I added this macro about a month ago, and I did not have redisplay in
> mind -- redisplay is as irrelevant to this macro as it is to macros like
> `when-let'.

Fair enough, but if this macro is not intended for BODYs that include
visual appearance, the restriction should be mentioned in the doc
string, I think.